krdc (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:56:49 +0000

krdc (4:25.12.2-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 08:05:39 +0000

krdc (4:25.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Stop recommending freerdp3-wayland | freerdp3-x11, krdc is not using
    the binaries shipped by these packages. (Closes: #1127820)
  * New upstream release (25.12.2).
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 14 Feb 2026 16:15:04 +0100

krdc (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:38 +0000

krdc (4:25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:23:50 +0000

krdc (4:25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jan 2026 17:21:30 +0000

krdc (4:25.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop patches applied upstream.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 17 Jan 2026 09:54:26 +0100

krdc (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:34 +0000

krdc (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:50 +0000

krdc (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:38 +0000

krdc (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:07 +0000

krdc (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:34 +0000

krdc (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:52:09 +0100

krdc (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:40 +0100

krdc (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:40 +0100

krdc (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:46 +0100

krdc (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:14 +0100

krdc (4:25.04.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild against libplasmaactivities7.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 07:43:56 +0200

krdc (4:25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.3).
    - Show system tray icon at startup if enabled in settings. (kde#505744)
    - VncView: focus the view on successful connection. (kde#503115)
    - Rdp: rework handling for some error messages.
    - Let Mainwindow publish error messages from views.
    - Rdp host preferences: correctly load sound preferences. (kde#493602)
    - Avoid crash when the main window is outside of any screen.
  * Backport upstream commits:
    - Fix invisible mouse cursor after toggling off "view only". [8b8dce4c]
    - Fix remote modifier keys state not synced with local state. [1b11b2e3]
    (kde#349813)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Jul 2025 09:00:16 +0200

krdc (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:53 +0100

krdc (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - RDP: ensure rdpview gets closed on session disconnect. (kde#503176)
    - RDP: Fix passing domain from saved bookmark. (kde#503174)
    - Find Qt6Gui before using Qt6Gui_VERSION.
  * New upstream release (25.04.2).
    - RdpView: avoid multiple startQuitting() calls on the same connection.
    (kde#504622)
    - Fix config names mismatched between Ui and kcfg.
    - Fix parsing of user-supplied host:port preferences for proxy and
    gateway. (kde#504282)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 22:43:43 +0200

krdc (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:34 +0200

krdc (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 21:33:59 +0200

krdc (4:25.03.80-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.80).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 25 Mar 2025 18:06:03 +0100

krdc (4:25.03.70~git20250114.786409a6-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop configure override to correctly build the RDP support now that
    FreeRDP 3 is the default. (Closes: #1093623)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 20 Jan 2025 15:35:19 +0100

krdc (4:25.03.70~git20250114.786409a6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git shapshot (25.03.70~git20250114.786409a6).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Jan 2025 23:20:56 +0100

krdc (4:25.03.70~git20241215.3813c8f7-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git shapshot with support for FreeRDP 3
  * Update build-deps and deps with the info from cmake.
  * Build against FreeRDP 3. (Closes: #1081527)
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 17 Dec 2024 08:19:12 +0100

krdc (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch to kf6 debhelper build sequence.
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 17:53:28 +0200

krdc (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps with info from cmake.
  * Remove nonexistent path from d/copyright.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Tue, 21 Nov 2023 15:21:50 -0500

krdc (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:58 +0100

krdc (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove inactive Uploaders.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop patch fix_kfreebsd_ftbfs: never upstreamed, and kFreeBSD has not been
    exactly up-to-date for few years already.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:18:31 +0100

krdc (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:54 +0100

krdc (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:51 +0100

krdc (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:02 +0100

krdc (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:12:05 +0100

krdc (4:21.08.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Add freerdp2-x11 also as build dependency, as apparently newer upstream
    versions only build the RDP plugin when that runtime executable is found
    at build time; thanks to Paul Hoskinson for spotting it.
    (Closes: #992608)

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 10:14:58 +0200

krdc (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:22 +0900

krdc (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:42:51 +0900

krdc (4:20.12.3-1) unstable; urgency=medium

  * Update upstream release signing key.
  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Mar 2021 15:15:43 +0100

krdc (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 21:37:10 +0100

krdc (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 00:24:33 +0200

krdc (4:20.04.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add missing license paragraph for BSD-3-clause.

  [ Pino Toscano ]
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump KF packages to 5.25.0
    - add libkf5windowsystem-dev, and libssh-dev
    - explicitly add gettext
  * Drop the migration from krdc-dbg, no more needed after two Debian stable
    releases.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Update lintian overrides.
  * Suggest freerdp2-wayland on Linux architectures, as it is the xfreerdp
    client to use when running with Wayland.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 17:41:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog krdc`.
